%global debug_package %{nil}

Name: pidgin-mattermost-sso
License: GPLv2
Group: Applications/Internet
Summary: Mattermost integration for Pidgin IM
Version: 0.1
Release: 3%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: tar

%description
Pidgin integration with mattermost platform.

Provides a login helper for mattermost with gitlab authentication,
see README for information.

%package -n pidgin-mattermost-sso-helper
Summary: Mattermost integration for Pidgin IM
Requires: pidgin-mattermost 
Requires: cern-get-sso-cookie
Requires: libpurple

%description -n pidgin-mattermost-sso-helper
Obtains Gitlab mattermost authemntication token for pidgin-mattermost auth.

%package -n pidgin-matterircd-sso-helper
Summary: Mattermost integration for Pidgin IM
Requires: cern-get-sso-cookie
Requires: libpurple
Requires: matterircd

%description -n pidgin-matterircd-sso-helper
Obtains (and sends to matterircd) Gitlab mattermost authemntication token for pidgin-mattermost auth.

%files -n pidgin-mattermost-sso-helper
%doc README.mattermost
%{_bindir}/pidgin-mattermost-sso-helper
%config(noreplace)/etc/sysconfig/pidgin-mattermost-sso-helper

%files -n pidgin-matterircd-sso-helper
%doc README.matterircd
%{_bindir}/pidgin-matterircd-sso-helper
%config(noreplace)/etc/sysconfig/pidgin-matterircd-sso-helper

%post

%preun

%postun

%prep
%setup -q #-n %{name}-v%{version}

%build


cat >> pidgin-matterircd-sso-helper.sysconfig << EOF
# pidgin-mattermost login helper options
#
#
# default options: 
#
# MIRCDSVCUSER="mattermost" 
# MMUSER=\$USER
# MMGITLABAUTH="https://cern.ch/mattermost/api/v3/oauth/gitlab/login"
# MMAUTHTOKEN="MMAUTHTOKEN"
# MMDEFTEAM="it-dep"
# MMSRV="mattermost.web.cern.ch"

EOF

cat >> pidgin-mattermost-sso-helper.sysconfig << EOF
# pidgin-mattermost login helper options
#
#
# default options: 
#
# MIRCDSVCUSER="mattermost" 
# MMUSER=\$USER
# MMGITLABAUTH="https://cern.ch/mattermost/api/v3/oauth/gitlab/login"
# MMAUTHTOKEN="MMAUTHTOKEN"
# MMDEFTEAM="it-dep"
# MMSRV="mattermost.web.cern.ch"

EOF

	
%install

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/

install -m 755 pidgin-matterircd-sso-helper $RPM_BUILD_ROOT%{_bindir}/
install -m 755 pidgin-mattermost-sso-helper $RPM_BUILD_ROOT%{_bindir}/

install -m 644 pidgin-matterircd-sso-helper.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/pidgin-matterircd-sso-helper
install -m 644 pidgin-mattermost-sso-helper.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/pidgin-mattermost-sso-helper


%changelog
* Wed May 31 2017 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.2-1
- rename, since a new purple-mattermost plugin is coming.

* Tue Dec 06 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-2
- fix helper script

* Mon Dec 05 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-1
- initial release.


